$terrainTypes[0, type] = "superflat";
$terrainTypes[0, description] = "Flat";
$terrainTypes[0, visDistance] = 4000;
$terrainTypes[0, hazeDistance] = 2000;
$terrainTypes[0, screenSize] = 90;

function Terrain::superflat::create(%seed){
 if(%seed == ""){ %seed = $ME::terrainSeed; }
 LS::addCommand("seed " @ %seed);
 LS::addCommand("terrain 256 1");
 LS::addCommand("normalize 0 0"); }
 
$terrainTypes[1, type] = "rolplains";
$terrainTypes[1, description] = "Plains";
$terrainTypes[1, visDistance] = 4000;
$terrainTypes[1, hazeDistance] = 2000;
$terrainTypes[1, screenSize] = 90;

function Terrain::rolplains::create(%seed){
 if(%seed == ""){ %seed = $ME::terrainSeed; }
 LS::addCommand("seed " @ %seed ); 
 LS::addCommand("terrain 256 .8" );
 LS::addCommand("normalize 0 600" );
 LS::addCommand("floor 200 400 0" );
 LS::addCommand("clamp 5 20" );
 LS::addCommand("clamp 4 10" );
 LS::addCommand("clamp 3 5" );
 LS::addCommand("clamp 2 2" );
 LS::addCommand("clamp 1 0" );
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("normalize 0 250" ); }

$terrainTypes[2, type] = "modhills";
$terrainTypes[2, description] = "Hilly";
$terrainTypes[2, visDistance] = 4000;
$terrainTypes[2, hazeDistance] = 2000;
$terrainTypes[2, screenSize] = 90;

function Terrain::modhills::create(%seed){
 if(%seed == ""){ %seed = $ME::terrainSeed; }
 LS::addCommand("seed " @ %seed ); 
 LS::addCommand("terrain 256 .8" );
 LS::addCommand("normalize 0 600" );
 LS::addCommand("floor 250 550 0" );
 LS::addCommand("clamp 5 20" );
 LS::addCommand("clamp 4 10" );
 LS::addCommand("clamp 3 5" );
 LS::addCommand("clamp 2 2" );
 LS::addCommand("clamp 1 0" );
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("normalize 0 500" ); }
 
$terrainTypes[3, type] = "rughills";
$terrainTypes[3, description] = "Chaotic";
$terrainTypes[3, visDistance] = 4000;
$terrainTypes[3, hazeDistance] = 2000;
$terrainTypes[3, screenSize] = 40;

function Terrain::rughills::create(%seed){
 if(%seed == ""){ %seed = $ME::terrainSeed; }
 LS::addCommand("seed " @ %seed ); 
 LS::addCommand("terrain 256 .6" );
 LS::addCommand("normalize 0 600" );
 LS::addCommand("floor 200 250 0" );
 LS::addCommand("clamp 5 20" );
 LS::addCommand("clamp 4 10" );
 LS::addCommand("clamp 3 5" );
 LS::addCommand("clamp 2 2" );
 LS::addCommand("clamp 1 0" );
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("normalize 0 750" ); }
 
$terrainTypes[4, type] = "Titan";
$terrainTypes[4, description] = "Titan/Triton: 0-100m";
$terrainTypes[4, visDistance] = 4000;
$terrainTypes[4, hazeDistance] = 2000;
$terrainTypes[4, screenSize] = 90;

function Terrain::Titan::create(%seed){
 if(%seed == ""){ %seed = $ME::terrainSeed; }
 LS::addCommand("load heightmap.bmp");
 LS::addCommand("normalize 0 100"); }

$terrainTypes[5, type] = "LowRelief";
$terrainTypes[5, description] = "Low Relief: 0-250m";
$terrainTypes[5, visDistance] = 4000;
$terrainTypes[5, hazeDistance] = 2000;
$terrainTypes[5, screenSize] = 90;

function Terrain::LowRelief::create(%seed){
 if(%seed == ""){ %seed = $ME::terrainSeed; }
 LS::addCommand("load heightmap.bmp");
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("normalize 0 250"); }

$terrainTypes[6, type] = "MediumRelief";
$terrainTypes[6, description] = "Medium Relief: 0-500m";
$terrainTypes[6, visDistance] = 4000;
$terrainTypes[6, hazeDistance] = 2000;
$terrainTypes[6, screenSize] = 90;

function Terrain::MediumRelief::create(%seed){
 if(%seed == ""){ %seed = $ME::terrainSeed; }
 LS::addCommand("load heightmap.bmp");
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("normalize 0 1000"); }

$terrainTypes[7, type] = "HighRelief";
$terrainTypes[7, description] = "High Relief: 0-750m";
$terrainTypes[7, visDistance] = 4000;
$terrainTypes[7, hazeDistance] = 2000;
$terrainTypes[7, screenSize] = 90;

function Terrain::HighRelief::create(%seed){
 if(%seed == ""){ %seed = $ME::terrainSeed; }
 LS::addCommand("load heightmap.bmp");
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("normalize 0 750"); }

$terrainTypes[8, type] = "Midlands";
$terrainTypes[8, description] = "Midlands: 250-500m";
$terrainTypes[8, visDistance] = 4000;
$terrainTypes[8, hazeDistance] = 2000;
$terrainTypes[8, screenSize] = 90;

function Terrain::Midlands::create(%seed){
 if(%seed == ""){ %seed = $ME::terrainSeed; }
 LS::addCommand("load heightmap.bmp");
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("normalize 250 750"); }
 
$terrainTypes[9, type] = "Highlands";
$terrainTypes[9, description] = "Highlands: 500-750m";
$terrainTypes[9, visDistance] = 4000;
$terrainTypes[9, hazeDistance] = 2000;
$terrainTypes[9, screenSize] = 90;

function Terrain::Highlands::create(%seed){
 if(%seed == ""){ %seed = $ME::terrainSeed; }
 LS::addCommand("load heightmap.bmp");
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("smooth 0.005 5" );
 LS::addCommand("normalize 250 750"); }

$terrainTypes[10, type] = "Cliffs";
$terrainTypes[10, description] = "Cliffs: 0-750m";
$terrainTypes[10, visDistance] = 4000;
$terrainTypes[10, hazeDistance] = 2000;
$terrainTypes[10, screenSize] = 90;

function Terrain::Cliffs::create(%seed){
 if(%seed == ""){ %seed = $ME::terrainSeed; }
 LS::addCommand("load heightmap.bmp");
 LS::addCommand("normalize 0 750"); }

$terrainTypes[11, type] = "Solace";
$terrainTypes[11, description] = "Solace Cliffs: 250-500m";
$terrainTypes[11, visDistance] = 4000;
$terrainTypes[11, hazeDistance] = 2000;
$terrainTypes[11, screenSize] = 90;

function Terrain::Solace::create(%seed){
 if(%seed == ""){ %seed = $ME::terrainSeed; }
 LS::addCommand("load heightmap.bmp");
 LS::addCommand("normalize 250 500"); }


